package com.xiaoniu.subsystem.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xiaoniu.api.dto.ApiLogininforDTO;
import com.xiaoniu.api.dto.ApiOperLogDTO;
import com.xiaoniu.subsystem.system.domain.dto.SysOperLogQueryDTO;
import com.xiaoniu.system.api.domain.SysOperLog;

import java.util.List;

/**
 * 操作日志 服务层
 *
 * @author xiaoniu
 */
public interface ISysOperLogService extends IService<SysOperLog> {
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     * @return 结果
     */
    public int insertOperlog(SysOperLog operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLog> selectOperLogList(SysOperLog operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    void saveOperLog(ApiOperLogDTO dto);

    /**
     * 列表
     * @param dto dto
     * @return List<SysOperLog>
     */
    List<SysOperLog> getOperLogList(SysOperLogQueryDTO dto);
}
